{
    "path": "$OET_PATH/testcases/function_test/pkg_test/dnf-plugins-core/python3-dnf-plugin-post-transaction-actions",
    "machine num": 1,
    "cases": [
        {
            "name": "test_python3-dnf-plugin-post-transaction-actions_function_install",
            "desc": "测试软件包安装功能，验证能否通过dnf或yum成功安装。"
        },
        {
            "name": "test_python3-dnf-plugin-post-transaction-actions_function_remove",
            "desc": "测试软件包卸载功能，验证能否通过dnf或yum成功卸载。"
        },
        {
            "name": "test_python3-dnf-plugin-post-transaction-actions_function_enable",
            "desc": "测试插件启用功能，验证插件安装后是否处于启用状态。"
        },
        {
            "name": "test_python3-dnf-plugin-post-transaction-actions_function_config",
            "desc": "测试插件配置功能，验证能否创建有效的配置文件。"
        },
        {
            "name": "test_python3-dnf-plugin-post-transaction-actions_function_trigger",
            "desc": "测试插件触发功能，验证dnf事务后能否执行配置的脚本。"
        }
    ]
}